develooper Front page | perl.perl5.porters | Postings from October 2007

Re: Change 32192: Upgrade to Module::Build 0.2808_01

Thread Next
From:
Jerry D. Hedden
Date:
October 25, 2007 08:21
Subject:
Re: Change 32192: Upgrade to Module::Build 0.2808_01
Message ID:
1ff86f510710250820p508716c2scddd2904aaa5a7f9@mail.gmail.com
> Change 32192 by rgs@stcosmo on 2007/10/25 09:46:55
>
>         Upgrade to Module::Build 0.2808_01
>

> ==== //depot/perl/lib/Module/Build/YAML.pm#5 (text) ====
> Index: perl/lib/Module/Build/YAML.pm
> --- perl/lib/Module/Build/YAML.pm#4~30893~      2007-04-10 08:44:51.000000000 -0700
> +++ perl/lib/Module/Build/YAML.pm       2007-10-25 02:46:55.000000000 -0700
> @@ -1,6 +1,9 @@
>  package Module::Build::YAML;
>
>  use strict;
> +use vars qw($VERSION);
> +$VERSION = '0.2808_01';
> +$VERSION = eval $VERSION;
>
>  use vars qw($VERSION @EXPORT @EXPORT_OK);
>  $VERSION = "0.50";

Note that $VERSION is begin assigned two values.  No doubt this is a bug.
The CPAN 'r' command shows this:

Package namespace         installed    latest  in CPAN file
Module::Build::YAML       0.2808_01      0.50
KWILLIAMS/Module-Build-0.2808.tar.gz

Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About